---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.springboot-camel-teiid/summary: "Camel and Teiid example with Spring Boot\
      \ in the Java Container"
    description: "# Spring-Boot Camel-Teiid QuickStart\n\nThis example demonstrates\
      \ how you can use Apache Camel and Teiid on Spring Boot\nrunning on a [fabric8\
      \ Java base image](https://github.com/fabric8io/base-images#java-base-images).\n\
      \nTwo (sample) embedded H2 database instances are created and linked together\
      \ through a Teiid virtual database layer.\nA camel route periodically generates\
      \ a random input and queries the virtual database to\ncompute intermediate routing\
      \ information.\n\n### Building\n\nThe example can be built with\n\n    mvn clean\
      \ install\n\n\n### Running the example locally\n\nThe example can be run locally\
      \ using the following Maven goal:\n\n    mvn spring-boot:run\n\n\n### Running\
      \ the example in fabric8\n\nIt is assumed a running Kubernetes platform is already\
      \ running. If not you can find details how to [get started](http://fabric8.io/guide/getStarted/index.html).\n\
      \nThe example can be built and deployed using a single goal:\n\n    mvn -Pf8-local-deploy\n\
      \nWhen the example runs in fabric8, you can use the OpenShift client tool to\
      \ inspect the status\n\nTo list all the running pods:\n\n    oc get pods\n\n\
      Then find the name of the pod that runs this quickstart, and output the logs\
      \ from the running pods with:\n\n    oc logs <name of pod>\n\nYou can also use\
      \ the fabric8 [web console](http://fabric8.io/guide/console.html) to manage\
      \ the\nrunning pods, and view logs and much more.\n\n\n### More details\n\n\
      You can find more details about running this [quickstart](http://fabric8.io/guide/quickstarts/running.html)\
      \ on the website. This also includes instructions how to change the Docker image\
      \ user and registry.\n"
    fabric8.springboot-camel-teiid/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "springboot-camel-teiid"
objects:
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/camel.svg"
      fabric8.io/git-branch: "release-v2.2.138"
      fabric8.io/git-commit: "5ead2e599515ec7395c0512070457828539e1856"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
      fabric8.io/build-id: "2"
    labels:
      provider: "fabric8"
      project: "springboot-camel-teiid"
      version: "2.2.138"
      group: "quickstarts"
    name: "springboot-camel-teiid"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "springboot-camel-teiid"
      version: "2.2.138"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          provider: "fabric8"
          project: "springboot-camel-teiid"
          version: "2.2.138"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/springboot-camel-teiid:2.2.138"
          name: "springboot-camel-teiid"
          ports:
          - containerPort: 8778
            name: "jolokia"
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
